/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 
package com.emerged.brokerage;


public abstract class BrokerageDatabaseConstants {

	public final static int SUCCESS = 0;
	public final static int ERROR = 1;
	
	public final static String sFirstCustomerID = "8888000000";	
    public final static String sDatabaseName = "eMergedScenarioBrokerageDB";    
    public final static String sDBPath       = "C:\\cloudscapedbs";
                                              /*
                                                 sDBPath should have a value like:
                                                 
                                                 "C:\\cloudscapedbs"            if you are running on windows.
                                                 
                                                 OR
                                                 
                                                 "/home/userid/cloudscapedbs"   if you are running on linux.                                                                                                                                          
                                                                                                                                                   
                                              */
    


}
