/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 

package com.emerged.bank;

/**
 * @author dominique
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public abstract class BankDatabaseConstants {

	public final static String sFirstCustomerID = "9999000000";
	public final static String sFirstAccountID = "1000000";	
	
    public final static String sDatabaseName = "eMergedScenarioBankDB";    
    public final static String sDBPath       = "C:\\cloudscapedbs";
                                              /*
                                                 sDBPath should have a value like:
                                                 
                                                 "C:\\cloudscapedbs"            if you are running on windows.
                                                 
                                                 OR
                                                 
                                                 "/home/userid/cloudscapedbs"   if you are running on linux.                                                                                                                                          
                                                                                                                                                   
                                              */
    

}
