/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 

package com.emerged.bank;

import java.io.Serializable;


public class Customer implements Serializable {
	
	private String customerNumber = null;
	private String dateProfileCreated = null;
	private String SIN = null;	
	private String FName = null;
	private String LName = null;
	private ContactInfo contactInfo = null;
	private Account[] accounts = null;
    
	/**
	 * 
	 */
	public Customer() {
		super();
	}
	
	/**
	 * @return Returns the customerNumber.
	 */
	public String getCustomerNumber() {
		return customerNumber;
	}
	/**
	 * @param customerNumber The customerNumber to set.
	 */
	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}
	/**
	 * @return Returns the accounts.
	 */
	public Account[] getAccounts() {
		return accounts;
	}
	/**
	 * @param accounts The accounts to set.
	 */
	public void setAccounts(Account[] accounts) {
		this.accounts = accounts;
	}
	

	/**
	 * @return Returns the sIN.
	 */
	public String getSIN() {
		return SIN;
	}
	/**
	 * @param sin The sIN to set.
	 */
	public void setSIN(String sin) {
		SIN = sin;
	}
	/**
	 * @return Returns the contactInfo.
	 */
	public ContactInfo getContactInfo() {
		return contactInfo;
	}
	/**
	 * @param contactInfo The contactInfo to set.
	 */
	public void setContactInfo(ContactInfo contactInfo) {
		this.contactInfo = contactInfo;
	}
	/**
	 * @return Returns the fName.
	 */
	public String getFName() {
		return FName;
	}
	/**
	 * @param name The fName to set.
	 */
	public void setFName(String name) {
		FName = name;
	}
	/**
	 * @return Returns the lName.
	 */
	public String getLName() {
		return LName;
	}
	/**
	 * @param name The lName to set.
	 */
	public void setLName(String name) {
		LName = name;
	}
	/**
	 * @return Returns the dateProfileCreated.
	 */
	public String getDateProfileCreated() {
		return dateProfileCreated;
	}
	/**
	 * @param dateProfileCreated The dateProfileCreated to set.
	 */
	public void setDateProfileCreated(String dateProfileCreated) {
		this.dateProfileCreated = dateProfileCreated;
	}
}
