/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 
package com.emerged.news;

/**
 * @author wendyb
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class NewsCategory {
	private int id;

	private String name;

	public static final NewsCategory IT = new NewsCategory(1,
			"Information Technology");

	public static final NewsCategory RELIGION = new NewsCategory(2,
			"Religion");

	public static final NewsCategory ENTERTAINMENT = new NewsCategory(3,
			"Entertainment");

	public static final NewsCategory SPORTS = new NewsCategory(4, "Sports");

	/**
	 * 
	 */
	public NewsCategory() {
		super();
	}
	/**
	 *  
	 */
	public NewsCategory(int id, String name) {
		super();
		this.id = id;
		this.name = name;
	}

	/**
	 * @return Returns the id.
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id
	 *            The id to set.
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
}
