/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 
package com.emerged.brokerage;


public class SharesRequest implements java.io.Serializable {

	private String customerNumber = null;
	private String stockSymbol    = null;
	private Integer quantityOfShares = null;
	private Double pricePerShare = null;
	private Double commission = null;	
	private Integer returnCode = null;
	private Integer updatedTotalQuantityOfShares = null;
	private Double cashAmount = null;
	
	public SharesRequest() {
		super();
	}
	/**
	 * @return Returns the cashAmount.
	 */
	public Double getCashAmount() {
		return cashAmount;
	}
	/**
	 * @param cashAmount The cashAmount to set.
	 */
	public void setCashAmount(Double cashAmount) {
		this.cashAmount = cashAmount;
	}
	/**
	 * @return Returns the customerNumber.
	 */
	public String getCustomerNumber() {
		return customerNumber;
	}
	/**
	 * @param customerNumber The customerNumber to set.
	 */
	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}
	/**
	 * @return Returns the pricePerShare.
	 */
	public Double getPricePerShare() {
		return pricePerShare;
	}
	/**
	 * @param pricePerShare The pricePerShare to set.
	 */
	public void setPricePerShare(Double pricePerShare) {
		this.pricePerShare = pricePerShare;
	}
	/**
	 * @return Returns the quantityOfShares.
	 */
	public Integer getQuantityOfShares() {
		return quantityOfShares;
	}
	/**
	 * @param quantityOfShares The quantityOfShares to set.
	 */
	public void setQuantityOfShares(Integer quantityOfShares) {
		this.quantityOfShares = quantityOfShares;
	}
	/**
	 * @return Returns the returnCode.
	 */
	public Integer getReturnCode() {
		return returnCode;
	}
	/**
	 * @param returnCode The returnCode to set.
	 */
	public void setReturnCode(Integer returnCode) {
		this.returnCode = returnCode;
	}
	/**
	 * @return Returns the stockSymbol.
	 */
	public String getStockSymbol() {
		return stockSymbol;
	}
	/**
	 * @param stockSymbol The stockSymbol to set.
	 */
	public void setStockSymbol(String stockSymbol) {
		this.stockSymbol = stockSymbol;
	}
	/**
	 * @return Returns the updatedTotalQuantityOfShares.
	 */
	public Integer getUpdatedTotalQuantityOfShares() {
		return updatedTotalQuantityOfShares;
	}
	/**
	 * @param updatedTotalQuantityOfShares The updatedTotalQuantityOfShares to set.
	 */
	public void setUpdatedTotalQuantityOfShares(
			Integer updatedTotalQuantityOfShares) {
		this.updatedTotalQuantityOfShares = updatedTotalQuantityOfShares;
	}
	/**
	 * @return Returns the commission.
	 */
	public Double getCommission() {
		return commission;
	}
	/**
	 * @param commission The commission to set.
	 */
	public void setCommission(Double commission) {
		this.commission = commission;
	}
}
