/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 
package com.emerged.brokerage;


public class Customer implements java.io.Serializable {

	
	private String customerNumber = null;
	private String customerSince = null;	
	private String firstName = null;
	private String lastName = null;
	private Address address = null;
	private String phoneNumber = null;
	private String sin = null;
	private Double cashBalance = null;
	private Double maximumTransactionAmount = null;
	private Integer returnCode = null;	
	private Integer numberOfStockSymbols = null;
	private Integer[] quantityOfShares = null;
	private String[] stockSymbols = null;
	private OldCustomer oldData = null;

	public Customer() {
		super();
	}
	/**
	 * @return Returns the address.
	 */
	public Address getAddress() {
		return address;
	}
	/**
	 * @param address The address to set.
	 */
	public void setAddress(Address address) {
		this.address = address;
	}
	/**
	 * @return Returns the cashBalance.
	 */
	public Double getCashBalance() {
		return cashBalance;
	}
	/**
	 * @param cashBalance The cashBalance to set.
	 */
	public void setCashBalance(Double cashBalance) {
		this.cashBalance = cashBalance;
	}
	/**
	 * @return Returns the customerNumber.
	 */
	public String getCustomerNumber() {
		return customerNumber;
	}
	/**
	 * @param customerNumber The customerNumber to set.
	 */
	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}
	/**
	 * @return Returns the firstName.
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName The firstName to set.
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return Returns the lastName.
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName The lastName to set.
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * @return Returns the maximumTransactionAmount.
	 */
	public Double getMaximumTransactionAmount() {
		return maximumTransactionAmount;
	}
	/**
	 * @param maximumTransactionAmount The maximumTransactionAmount to set.
	 */
	public void setMaximumTransactionAmount(Double maximumTransactionAmount) {
		this.maximumTransactionAmount = maximumTransactionAmount;
	}
	/**
	 * @return Returns the numberOfStockSymbols.
	 */
	public Integer getNumberOfStockSymbols() {
		return numberOfStockSymbols;
	}
	/**
	 * @param numberOfStockSymbols The numberOfStockSymbols to set.
	 */
	public void setNumberOfStockSymbols(Integer numberOfStockSymbols) {
		this.numberOfStockSymbols = numberOfStockSymbols;
	}
	/**
	 * @return Returns the oldData.
	 */
	public OldCustomer getOldData() {
		return oldData;
	}
	/**
	 * @param oldData The oldData to set.
	 */
	public void setOldData(OldCustomer oldData) {
		this.oldData = oldData;
	}
	/**
	 * @return Returns the phoneNumber.
	 */
	public String getPhoneNumber() {
		return phoneNumber;
	}
	/**
	 * @param phoneNumber The phoneNumber to set.
	 */
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	/**
	 * @return Returns the quantityOfShares.
	 */
	public Integer[] getQuantityOfShares() {
		return quantityOfShares;
	}
	/**
	 * @param quantityOfShares The quantityOfShares to set.
	 */
	public void setQuantityOfShares(Integer[] quantityOfShares) {
		this.quantityOfShares = quantityOfShares;
	}
	/**
	 * @return Returns the returnCode.
	 */
	public Integer getReturnCode() {
		return returnCode;
	}
	/**
	 * @param returnCode The returnCode to set.
	 */
	public void setReturnCode(Integer returnCode) {
		this.returnCode = returnCode;
	}
	/**
	 * @return Returns the sin.
	 */
	public String getSin() {
		return sin;
	}
	/**
	 * @param sin The sin to set.
	 */
	public void setSin(String sin) {
		this.sin = sin;
	}
	/**
	 * @return Returns the stockSymbols.
	 */
	public String[] getStockSymbols() {
		return stockSymbols;
	}
	/**
	 * @param stockSymbols The stockSymbols to set.
	 */
	public void setStockSymbols(String[] stockSymbols) {
		this.stockSymbols = stockSymbols;
	}
	/**
	 * @return Returns the customerSince.
	 */
	public String getCustomerSince() {
		return customerSince;
	}
	/**
	 * @param customerSince The customerSince to set.
	 */
	public void setCustomerSince(String customerSince) {
		this.customerSince = customerSince;
	}
}
